Subject: Re: [POWERPC] Fix off-by-one error in setting decrementer on Book E

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 31 Oct 2007 17:12:31 +0300

Hello.

Paul Mackerras wrote:

> If I take out the removed lines in the rest of your patch, I get:

>>+        */
>>  #if defined(CONFIG_40x)
>>         mtspr(SPRN_PIT, val);
>>+#else
>>+#if !defined(CONFIG_BOOKE)
>>+       val = val ? val - 1 : 0;
>>+#endif
>>+#if defined(CONFIG_8xx_CPU6)
>>         set_dec_cpu6(val);
>>+#if defined(CONFIG_PPC_ISERIES)

> I think you're missing a #else here.

    You've cut off #endif's at the end.  But yes, you are correct -- I've lost 
it while pasting this hunk into mail. :-/

> Paul.

WBR, Sergei